%define basen freecell-solver
%define libname_orig lib%{basen}
%define major 0
%define libname %mklibname %{basen} %{major}
%define develname %mklibname %{basen} -d
%define staticname %mklibname %{basen} -d -s

Name: %{basen}
Version: 3.16.0
Release: %mkrel 3
License: MIT
Group: Games/Cards
Source: http://fc-solve.shlomifish.org/downloads/fc-solve/%{name}-%{version}.tar.bz2
URL: http://fc-solve.shlomifish.org/
Requires: %{libname} = %version-%release
Summary: The Freecell Solver Executable
BuildRequires: cmake

%description
The Freecell Solver package contains the fc-solve executable which is
a command-line program that can be used to solve games of Freecell and
similar card solitaire variants.

This package also contains command line executables to generate the initial
boards of several popular Freecell implementations.

%files
%_bindir/fc-solve
%_bindir/freecell-solver-fc-pro-range-solve
%_bindir/freecell-solver-multi-thread-solve
%_bindir/freecell-solver-range-parallel-solve
%_bindir/make-aisleriot-freecell-board
%_bindir/make-gnome-freecell-board
%_bindir/make_pysol_freecell_board.py
%_bindir/pi-make-microsoft-freecell-board
%exclude %_bindir/make-microsoft-freecell-board
%_datadir/freecell-solver
%{_mandir}/*/*
%{_docdir}/*

#--------------------------------------------------------------------

%package -n %{libname}
Summary: The Freecell Solver dynamic libraries for solving Freecell games
Group: Games/Cards

%description -n %{libname}
Contains the Freecell Solver libraries that are used by some programs to solve
games of Freecell and similar variants of card solitaire.

This package is mandatory for the Freecell Solver executable too.

%files -n %{libname}
%{_libdir}/libfreecell-solver.so.%{major}.*
%{_libdir}/libfreecell-solver.so.%{major}

#--------------------------------------------------------------------

%package -n %{develname}
Summary: The Freecell Solver development tools for solving Freecell games
Group: Games/Cards
Requires: %{libname} = %version-%release
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Freecell Solver is a library for automatically solving boards of Freecell and
similar variants of card Solitaire. This package contains the header files and
static libraries necessary for developing programs using Freecell Solver.

You should install it if you are a game developer who would like to use
Freecell Solver from within your programs.

%files -n %{develname}
%_includedir/freecell-solver/*.h
%_bindir/freecell-solver-config
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libfreecell-solver.so

#--------------------------------------------------------------------

%package -n %{staticname}
Summary: The Freecell Solver static libraries
Group: Games/Cards
Requires: %{develname} = %version-%release

%description -n %{staticname}
Freecell Solver is a library for automatically solving boards of Freecell and
similar variants of card Solitaire. This package contains the static libraries.

It is not generally required.

%files -n %{staticname}
%{_libdir}/libfreecell-solver.a

#--------------------------------------------------------------------

%prep
%setup -q
# This is a hack that is meant to make sure the README of the board
# generation programs resides inside the board_gen sub-dir of the
# documentation directory.
cd board_gen
mkdir doc
cd doc
mkdir board_gen
cd board_gen
cp ../../README .


%build
# The game limit flags are recommended by the PySolFC README.
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale -DLIB_INSTALL_DIR=%{_libdir} -DMAX_NUM_FREECELLS=8 -DMAX_NUM_STACKS=20 -DMAX_NUM_INITIAL_CARDS_IN_A_STACK=60
%make

%install
%{makeinstall_std} -C build


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.16.0-3.mga3
+ Revision: 350812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 3.16.0-2.mga3
+ Revision: 330171
- Remove trailing space.
- Change the configuration constants to match PySolFC's recommendations.

* Mon Dec 10 2012 shlomif <shlomif> 3.16.0-1.mga3
+ Revision: 329383
- New version 3.16.0

* Fri Nov 02 2012 shlomif <shlomif> 3.14.1-1.mga3
+ Revision: 312568
- New version 3.14.1

* Thu Nov 01 2012 fwang <fwang> 3.14.0-1.mga3
+ Revision: 311891
- new version 3.14.0

* Sun Jul 08 2012 shlomif <shlomif> 3.12.0-1.mga3
+ Revision: 268912
- New version 3.12.0

* Tue May 29 2012 shlomif <shlomif> 3.10.0-1.mga3
+ Revision: 249484
- New version - 3.10.0

* Thu Nov 10 2011 shlomif <shlomif> 3.8.0-2.mga2
+ Revision: 166243
- New release to test mgarepo's fix for mgarepo submit with the new svn
- Reverted the previous change
- Meaningless change to make sure mgarepo works with the latest subversion.

* Thu Jul 14 2011 shlomif <shlomif> 3.8.0-1.mga2
+ Revision: 124261
- New version - 3.8.0.

* Thu Mar 24 2011 boklm <boklm> 3.4.0-5.mga1
+ Revision: 76138
- rebuild for bug #497

* Wed Mar 23 2011 boklm <boklm> 3.4.0-4.mga1
+ Revision: 75815
- fix devel package name

* Tue Mar 22 2011 dmorgan <dmorgan> 3.4.0-3.mga1
+ Revision: 75485
- Clean spec file
  Use macros
  Fix wrong requires

* Sun Mar 13 2011 philippem <philippem> 3.4.0-2.mga1
+ Revision: 70743
- imported package freecell-solver

